<template>
    
</template>
<script>
import { mapGetters } from "vuex";
import { LoginDetector } from "@/core/starter";
import browser from "@/utils/browser";
export default {
    name: "ui-login",
    data() {
        return {};
    },
    created() {
        if (browser.urlHasValue(process.env.VUE_APP_TESTKEY)) {
            return;
        }
        LoginDetector.register(
            detector => new Promise(resolve => detector.resolve(resolve))
        );
        this.$api.checkLogin().then(response => {
            if (response.code == 0) {
                LoginDetector.valid();
            }
        });
    }
};
</script>